#ifndef OUTPUT_H
#define OUTPUT_H

#include <iostream>

/**
 * Handler for informations returned by Proof.
 * this handler sends info to stdout stream
 */
class CoutOutput{
public:
	template<typename T>
	CoutOutput& operator<<(const T& item){
		std::cout << item;
		return *this;
	}
};

/**
 * Handler for debug informations returned by Proof.
 * this sends all informations to the stderr stream
 */
class CerrOutput{
public:
	template<typename T>
	CerrOutput& operator<<(const T& item){
		std::cerr << item;
		return *this;
	}
};

/**
 * Handler for debug informations returned by Proof.
 * this is null implementation, that ignore all debug messages
 */
class NullOutput{
public:
	NullOutput(){
	}
	//to allow use of NullOutput as a graph output
	void setup(int n, double xmin, double ymin, double xmax, double ymax, double origx, double origy, double secx){	
	}
	template<typename T>
	NullOutput& operator<<(const T& item){
		//do nothing :)
		return *this;
	}
};

#endif
